<?php



class TblblogdependsMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogdependsMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogdependsPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogdependsPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogdepends');
		$tMap->setClassname('Tblblogdepends');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('DP_BLOG', 'DpBlog', 'INTEGER' , 'tblblog', 'BL_ID', true, null);

		$tMap->addPrimaryKey('DP_PARENT', 'DpParent', 'INTEGER', true, null);

	} 
} 